/**
* PeerTube
* # Introduction  The PeerTube API is built on HTTP(S). Our API is RESTful. It has predictable resource URLs. It returns HTTP response codes to indicate errors. It also accepts and returns JSON in the HTTP body. You can use your favorite HTTP/REST library for your programming language to use PeerTube. No official SDK is currently provided, but the spec API is fully compatible with [openapi-generator](https://github.com/OpenAPITools/openapi-generator/wiki/API-client-generator-HOWTO) which generates a client SDK in the language of your choice.  # Authentication  When you sign up for an account, you are given the possibility to generate sessions, and authenticate using this session token. One session token can currently be used at a time.  # Errors  The API uses standard HTTP status codes to indicate the success or failure of the API call. The body of the response will be JSON in the following format.  ``` {   \"code\": \"unauthorized_request\", // example inner error code   \"error\": \"Token is invalid.\" // example exposed error message } ``` 
*
* The version of the OpenAPI document: 2.1.0
* 
*
* NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
* https://openapi-generator.tech
* Do not edit the class manually.
*/
package org.peertube.client.models

import org.peertube.client.models.ServerConfigAutoBlacklist
import org.peertube.client.models.ServerConfigCustomAdmin
import org.peertube.client.models.ServerConfigCustomCache
import org.peertube.client.models.ServerConfigCustomFollowers
import org.peertube.client.models.ServerConfigCustomInstance
import org.peertube.client.models.ServerConfigCustomServices
import org.peertube.client.models.ServerConfigCustomSignup
import org.peertube.client.models.ServerConfigCustomTheme
import org.peertube.client.models.ServerConfigCustomTranscoding
import org.peertube.client.models.ServerConfigEmail
import org.peertube.client.models.ServerConfigImport
import org.peertube.client.models.ServerConfigUser

import com.squareup.moshi.Json
/**
 * 
 * @param instance 
 * @param theme 
 * @param services 
 * @param cache 
 * @param signup 
 * @param admin 
 * @param contactForm 
 * @param user 
 * @param transcoding 
 * @param import 
 * @param autoBlacklist 
 * @param followers 
 */

data class ServerConfigCustom (
    @Json(name = "instance")
    val instance: ServerConfigCustomInstance? = null,
    @Json(name = "theme")
    val theme: ServerConfigCustomTheme? = null,
    @Json(name = "services")
    val services: ServerConfigCustomServices? = null,
    @Json(name = "cache")
    val cache: ServerConfigCustomCache? = null,
    @Json(name = "signup")
    val signup: ServerConfigCustomSignup? = null,
    @Json(name = "admin")
    val admin: ServerConfigCustomAdmin? = null,
    @Json(name = "contactForm")
    val contactForm: ServerConfigEmail? = null,
    @Json(name = "user")
    val user: ServerConfigUser? = null,
    @Json(name = "transcoding")
    val transcoding: ServerConfigCustomTranscoding? = null,
    @Json(name = "import")
    val import: ServerConfigImport? = null,
    @Json(name = "autoBlacklist")
    val autoBlacklist: ServerConfigAutoBlacklist? = null,
    @Json(name = "followers")
    val followers: ServerConfigCustomFollowers? = null
) 



